    # File lib/rbot/config.rb, line 259
        def bot_associate(bot, reset=false)
          reset_config if reset
          @bot = bot
          return unless @bot

          @changed = false
          if(File.exist?("#{@bot.botclass}/conf.yaml"))
            begin
              newconfig = YAML::load_file("#{@bot.botclass}/conf.yaml")
              newconfig.each { |key, val|
                @config[key.to_sym] = val
              }
              return
            rescue
              error "failed to read conf.yaml: #{$!}"
            end
          end
          # if we got here, we need to run the first-run wizard
          Wizard.new(@bot).run
          # save newly created config
          @changed = true
          save
        end